Package com.smartgwt.client.ai

# Class DataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.DataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `ExecuteQueryDataQuestionStep`, `MakeQueryDataQuestionStep`, `ValidateQueryDataQuestionStep`

public class DataQuestionStep extends DataClass
An object that contains information about a step in an Answer Engine operation.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataQuestionStep()`
  `DataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionStepType`
  `getType()`
  `DataQuestionStep`
  `setType(DataQuestionStepType type)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataQuestionStep

    public DataQuestionStep()

  - ### DataQuestionStep

    public DataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setType

    public DataQuestionStep setType(DataQuestionStepType type)
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `DataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    Returns:
      Current type value. Default value is null